DELETE /api/v1/cloud/sessions/{session_id}
Deletes a Session and returns a deletion confirmation.
Path parameters
Headers
Example request
Example response
HTTP 200 OK"type": "session_deleted" in the response body.
Errors
HTTP 404 Not Found
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete a Session.
DELETE /api/v1/cloud/sessions/{session_id}
Deletes a Session and returns a deletion confirmation.
| Parameter | Type | Description |
|---|---|---|
session_id | string | Session ID with the sess_ prefix |
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer $QODER_PAT |
curl -X DELETE https://api.qoder.com/api/v1/cloud/sessions/sess_019e3bb1e8c171fd9abbb1477ffb84cc \
-H "Authorization: Bearer $QODER_PAT"
{
"id": "sess_019e3bb1e8c171fd9abbb1477ffb84cc",
"type": "session_deleted"
}
"type": "session_deleted" in the response body.
| HTTP | Type | Trigger |
|---|---|---|
| 401 | authentication_error | PAT invalid or expired |
| 404 | not_found_error | Session does not exist |
{
"type": "error",
"request_id": "cb80235f-76a2-4ff3-9e28-5aa2da12dc14",
"error": {
"type": "not_found_error",
"message": "Session 'sess_does_not_exist_0000000000000000000000000000' was not found."
}
}